Bug 279241

Summary: [CSS 2.1 Conformance] [testcase] list-style: none followed by a resetting list-style-image declaration fails
Product: konqueror Reporter: Gérard Talbot (no longer involved) <browserbugs2>
Component: khtmlAssignee: Konqueror Developers <konq-bugs>
Status: VERIFIED FIXED    
Severity: normal Keywords: reproducible, testcase
Priority: NOR    
Version: 4.7.4   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.13.3

Description Gérard Talbot (no longer involved) 2011-08-03 02:12:41 UTC
Version:           4.7.0 (using KDE 4.7.0) 
OS:                Linux

Original webpage where the bug occurs
-------------------------------------

What is KDE e.V., in the "What we do" section
http://ev.kde.org/whatiskdeev.php

We should see 4 list-circle.png as 4 list markers; even see a roll-over effect when hovering a list.

Firefox 5.0, Opera 11.50 and Chrome 12.0.742.124 render those 4 list markers. Opera 11.50 does not succeed in the roll-over effect.

The relevant CSS code is:

  ul {list-style: none;}

  ul {list-style-image: url(list-circle.png);}

and here, an <ul> list should render, should display such list-circle.png as list marker.

Semi-reduced testcase
---------------------

http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/list-marker-bug-at-whatiskde.html


Reduced testcase
----------------

http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/list-style-none-with-list-style-image-reset.html


Chunk of relevant code involved
-------------------------------

  <style type="text/css">
  body {margin: 64px;}  
  
  ul {list-style: none;}

  ul {list-style-image: url("support/60x60-green.png");}
  </style>

  <p>Test passes if there is a green square.</p>

  <ul>
   <li>&nbsp;</li>
  </ul>

Reproducible: Always

Steps to Reproduce:
Load
http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/list-style-none-with-list-style-image-reset.html

Actual Results:  
There is no green square

Expected Results:  
There should be a green square

Firefox 5.0, Opera 11.50 and Chrome 12.0.742.124 pass the reduced testcase.

KDE Platform Version: 4.7.0
Konqueror version: 4.7.0 (KHTML rendering engine)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic-pae i686 (32bits)
Distribution: Kubuntu 11.04
here.

regards, Gérard
Comment 1 Gérard Talbot (no longer involved) 2011-08-03 04:53:28 UTC
A testcase
http://www.gtalbot.org/BrowserBugsSection/css21testsuite/list-style-020.html
will be submitted for inclusion in the next version/snapshot of CSS 2.1 test suite.

Gérard
Comment 2 Gérard Talbot (no longer involved) 2011-08-03 05:52:12 UTC
IE8, Firefox 5.0.1, Chrome 13.0.782.107 and Safari 5.1 pass the
http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/list-marker-bug-at-whatiskde.html
testcase, including the roll-over effect. Opera 11.50 fails the roll-over-effect.

IE8, Firefox 5.0.1, Opera 11.50, Chrome 13.0.782.107 and Safari 5.1 pass the
http://www.gtalbot.org/BrowserBugsSection/Konqueror4Bugs/list-style-none-with-list-style-image-reset.html
testcase.

Konqueror 4.7.0 (KHTML rendering engine) fails both testcases.

Gérard
Comment 3 Gérard Talbot (no longer involved) 2011-09-23 18:22:40 UTC
Submitted to CSS 2.1 test suite:

http://test.csswg.org/suites/css2.1/nightly-unstable/html4/list-style-021.htm

Gérard
Comment 5 Gérard Talbot (no longer involved) 2011-09-24 21:17:17 UTC
(In reply to comment #4)
> > A testcase
> > http://www.gtalbot.org/BrowserBugsSection/css21testsuite/list-style-020.html
 
It is now

http://www.gtalbot.org/BrowserBugsSection/css21testsuite/list-style-021.html

I'll do a redirect anyway.

Gérard
Comment 6 Gérard Talbot (no longer involved) 2012-01-14 07:45:18 UTC
Konqueror 4.7.4

CONFIRMING
Comment 7 Andrea Iacovitti 2014-06-12 13:17:02 UTC
Git commit 531d019627ef33331ebcdbe77d9a559aa16249e3 by Andrea Iacovitti.
Committed on 12/06/2014 at 13:15.
Pushed by aiacovitti into branch 'KDE/4.13'.

Always show list marker if valid list-style-image specified.
FIXED-IN: 4.13.3

M  +4    -2    khtml/rendering/render_list.cpp

http://commits.kde.org/kdelibs/531d019627ef33331ebcdbe77d9a559aa16249e3
Comment 8 Gérard Talbot (no longer involved) 2014-10-16 00:44:42 UTC
I get expected results with Konqueror 4.14.2.

Marking as VERIFIED and FIXED

Thank you, Andrea ! :)